/*
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/*
 *    SpecialAlphabet.java
 *    Copyright (C) 2010 Stefan Mutter
 *
 */
package weka.classifiers.sequence.core;

/**
<!-- globalinfo-start -->
* special alphabet containing the symbol # to mark the end of a sequence
<!-- globalinfo-end -->
* 
* @author Stefan Mutter (pHMM4weka@gmail.com)
* @version $Revision: 4 $
*/
public class SpecialAlphabet extends Alphabet {

  private static final long serialVersionUID = 2086113293748990790L;
  private static final String alphabet = "#";
  
  
  public int alphabetSize() {
    return 1;
  }

  
  public int indexOfAlphabetSymbol(String symbol) throws IllegalSymbolException {
      if(alphabet.equalsIgnoreCase(symbol)){
	return 0;
      }
    else{
      throw new IllegalSymbolException("Letter not in alphabet");
    }
  }

  
  public String toString() {
    return alphabet;
  }


  public String getSymbolAtIndex(int index) {
    return alphabet;
  }

}
